#include <iostream>
#include <string>
#include <vector>
#include <bits/stdc++.h>

using namespace std;

int main()
{
    int x;
    string naslov;
    cin >> x >> naslov;
    long long int b[x+1][27]={0};
    const unsigned int m=1000000007;
    for (int i=0; i<x; i++)
    {
        b[i+1][naslov[i]-64]=-1;
    }
    for(int i=0; i<x+1; i++)
    {
        b[i][0]=1;
    }
    for(int i=0; i<27; i++)
    {
        b[0][i]=0;
    }
    b[0][0]=1;
    for (int i=1; i<27; i++)
    {
        for(int j=1; j<x+1; j++)
        {
            if(b[j][i]==-1)
            {
                b[j][i]=(b[j-1][i-1]%m+b[j-1][i]%m)%m;
            }else b[j][i]=b[j-1][i]%m;
        }
    }
    cout << b[x][26];
    return 0;
}